## cris-dist 1.20-1

=== debian/changelog ===
cris-dist (1.20-1) unstable; urgency=low

  * New upstream version.
  * Bug fix version (see NEWS for details).

 -- Cristian Ionescu-Idbohrn <cii@axis.com>  Fri, 12 Jul 2002 16:42:36 +0200

cris-dist (1.19-1) unstable; urgency=low

  * New upstream version.
  * Bug fix version (see NEWS for details).

 -- Cristian Ionescu-Idbohrn <cii@axis.com>  Fri,  5 Jul 2002 16:44:25 +0200

cris-dist (1.18-1) unstable; urgency=low

  * New upstream version.
  * Binutils is 2.12.1.
  * A vicious gcc bug is corrected.

 -- Cristian Ionescu-Idbohrn <cii@axis.com>  Thu,  4 Jul 2002 12:13:07 +0200

cris-dist (1.17-1) unstable; urgency=low

  * New upstream version.
  * elinux-headers is gone.
  * Moved $(JUNKDIR) to the same level as the debian subdir.

 -- Cristian Ionescu-Idbohrn <cii@axis.com>  Mon,  8 Apr 2002 18:22:14 +0200

cris-dist (1.16-1) unstable; urgency=low

  * Perl dependency added.
  * dh_shlibdeps skipps looking for dependencies under:

      $(BUILDPREFIX)$(PLIBDIR)/gcc-lib/cris/2.96/linux/

    because it's not meaningful (cris-libraries). But we'll have to watch
    that space on new versions.

  * Build-Depends tetex replaced with the right package: texinfo.

  * debian/copyright file updated.
  * debian/control updated. libncurses5-dev (>= 5.0) and wget build
    dependencies removed.
  * Corrected spelling error in debian/README.

  * Debian binary package version rewound to 1, upstream author request.

  * Definite improvement. Hardcoded paths and symblinks will hopefully no
    longer create problems. Will definetly keep debian/check-symlinks until
    I'm sure.
  * The tar-balls needed to build the binary package will no longer be
    removed by 'debian/rules clean'.

  * Had reports on missing files and wrong paths:

    gcc: installation problem, cannot exec `cc1': No such file or directory
    /usr/local/cris/lib/gcc-lib/cris/2.96/rld-cris: cannot find
      /home/cii/DEBIAN/WORK/cris-dist-1.16-1/cris-dist-1.16/debian/tmp/usr/local/cris/lib/gcc-lib/cris/2.96/linux/libc.so.6

    The "install-prefix", aka "install-root", aka "buildprefix" argument
    to "install-cris-tools" might be the cause.

  * debian/check-symlinks more talkative. Shows what the symlink was before
    and after the modification (if anything modified).

  * Conflicts with and replaces all other known 'cris' packages.
  * Tweaked debian/rules a bit more.

  * Moved /usr/doc/cris-dist-1.16 to /usr/share/doc/cris-dist to comply to
    the debian standards.

 -- Cristian Ionescu-Idbohrn <cii@axis.com>  Fri, 14 Dec 2001 15:36:51 +0100
