## cris-dist 1.54-1

=== debian/changelog ===
cris-dist (1.54-1) unstable; urgency=low

  * New upstream.
  * Bug fix release. See the NEWS for the gory details.

 -- Cristian Ionescu-Idbohrn <cii@axis.com>  Tue,  4 Nov 2003 12:08:43 +0100

cris-dist (1.53-1) unstable; urgency=low

  * New upstream.
  * Bug fix release. See the NEWS for the gory details.
  * debian/rules no longer uses ccache and/or distcc.
  * Prefer gcc-2.95.

 -- Cristian Ionescu-Idbohrn <cii@axis.com>  Fri, 16 May 2003 17:19:27 +0200

cris-dist (1.52-1) unstable; urgency=low

  * New upstream (we jumped over 1.51).
  * Bug fix release. See the NEWS for the gory details.
  * Upped texinfo build dependency to 4.1.

 -- Cristian Ionescu-Idbohrn <cii@axis.com>  Thu, 20 Mar 2003 17:50:16 +0100

cris-dist (1.50-1) unstable; urgency=low

  * More tweaks. Workaround install-info incompatibilities between the GNU
    and Debian flavours. debian/rules patches gnu-toplev/gcc/Makefile.in
    and disables 'install-info --dir-file=...'. That info directory file
    will be generated by debian/postinst anyway.
  * Inform the person building the package from source about the option to
    manually move away the /usr/local/{cris,info,man} directories before
    the package building process really starts, and restore the order in
    the end.

 -- Cristian Ionescu-Idbohrn <cii@axis.com>  Wed,  5 Feb 2003 15:01:50 +0100

cris-dist (1.50-0) experimental; urgency=low

  * New upstream.
  * Big jump: gcc 3.2.1 (see NEWS for details).
  * Lots of hacks in debian/rules & friends:
    + /usr/local/{cris,info,man} must be moved away during the build
      process;
    + bugs in the debian distributed install-info (wrt info 'dir'
      directory file generation) caused changes in debian/postinst;
  * See the NEWS for the gory details.

 -- Cristian Ionescu-Idbohrn <cii@axis.com>  Mon, 27 Jan 2003 14:00:39 +0100

cris-dist (1.24-1) unstable; urgency=low

  * New upstream.
  * gcc related bug fix (see NEWS for details).

 -- Cristian Ionescu-Idbohrn <cii@axis.com>  Mon, 25 Nov 2002 10:29:29 +0100

cris-dist (1.23-1) unstable; urgency=medium

  * New upstream.
  * Linker and assembler related bug fixes (see NEWS for details).

 -- Cristian Ionescu-Idbohrn <cii@axis.com>  Wed, 13 Nov 2002 20:12:53 +0100

cris-dist (1.22-2) unstable; urgency=low

  * Now recommends byacc, libncurses5-dev, zlib1g-dev.

 -- Cristian Ionescu-Idbohrn <cii@axis.com>  Tue,  1 Oct 2002 13:18:57 +0200

cris-dist (1.22-1) unstable; urgency=low

  * New upstream.
  * glibc crash related bugfix (see NEWS for details).

 -- Cristian Ionescu-Idbohrn <cii@axis.com>  Wed, 11 Sep 2002 08:48:30 +0200

cris-dist (1.21-1) unstable; urgency=medium

  * New upstream version.
  * uclibc related bugfix (see NEWS for details).

 -- Cristian Ionescu-Idbohrn <cii@axis.com>  Thu, 15 Aug 2002 19:14:57 +0200
