## cris-dist 1.62-1

=== debian/changelog ===
cris-dist (1.62-1) unstable; urgency=low

  * New upstream.
  * Bug fix release. See the NEWS for the gory details.
  * Now using the default gcc installed on the package builder.

 -- Cristian Ionescu-Idbohrn <cii@axis.com>  Sat, 18 Jun 2005 16:13:12 +0200

cris-dist (1.61-1) unstable; urgency=low

  * New upstream.
  * Bug fix release. See the NEWS for the gory details.

 -- Cristian Ionescu-Idbohrn <cii@axis.com>  Sat,  2 Apr 2005 13:59:58 +0200

cris-dist (1.60-1) unstable; urgency=low

  * New upstream.
  * Bug fix release. See the NEWS for the gory details.

 -- Cristian Ionescu-Idbohrn <cii@axis.com>  Tue, 26 Oct 2004 12:38:28 +0200

cris-dist (1.59-1) unstable; urgency=low

  * New upstream.
  * Bug fix release. See the NEWS for the gory details.

 -- Cristian Ionescu-Idbohrn <cii@axis.com>  Wed, 29 Sep 2004 11:48:52 +0200

cris-dist (1.57-1) unstable; urgency=low

  * New upstream.
  * Bug fixes and improvements. See the NEWS for the gory details.

 -- Cristian Ionescu-Idbohrn <cii@axis.com>  Sun, 19 Sep 2004 19:51:11 +0200

cris-dist (1.56-1) unstable; urgency=medium

  * New upstream.
  * Bug fix release. See the NEWS for the gory details.

 -- Cristian Ionescu-Idbohrn <cii@axis.com>  Mon,  1 Mar 2004 11:58:23 +0100

cris-dist (1.55-1) unstable; urgency=low

  * New upstream.
  * Bug fix release. See the NEWS for the gory details.

 -- Cristian Ionescu-Idbohrn <cii@axis.com>  Wed, 17 Dec 2003 08:44:57 +0100
