=== debian/control ===
--- 
+++ 
@@ -13,14 +13,14 @@
 Replaces: axis-cris, cris-bindist, axis-cris-dist-bin
 Recommends: byacc, libncurses5-dev, zlib1g-dev
 Description: Compiler tools for the CRIS CPU in Axis ETRAX chips.
- This toolsuite contains ports of GCC (gcc-cris release R54). It is
+ This toolsuite contains ports of GCC (gcc-cris release R62). It is
  used to build all ETRAX-targeted software. For details, see
  /usr/share/doc/cris-dist/README and /usr/share/doc/cris-dist/NEWS
  (file paths may vary).
  .
  (binary package created from source using the following tar balls:
- cris-dist-1.54.tar.gz,
- cris-dist-glibc-1.54.tar.gz,
- cris-dist-linux-headers-1.54.tar.gz)
+ cris-dist-1.62.tar.gz,
+ cris-dist-glibc-1.62.tar.gz,
+ cris-dist-linux-headers-1.62.tar.gz)
  .
  Contact: compiler-contact@axis.com
