=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,14 @@
 #!/usr/bin/make -f
 
 # Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
 export DH_COMPAT=2
 
 
 DISTNAME=cris-dist
-VERS=1.54
+VERS=1.62
 
 URL=ftp://ftp.axis.se/pub/axis/tools/cris/compiler-kit
 TBEXT=tar.gz
@@ -33,13 +33,13 @@
 
 LMKFLAGS=-s
 
-LCC=
-
-LGCC=$(wildcard /usr/bin/gcc-2.95)
-ifeq ($(LGCC),)
-	LGCC=/usr/bin/gcc
-endif
-LCC += $(LGCC)
+LCC=gcc
+
+#//#LGCC=$(wildcard /usr/bin/gcc-2.95)
+#//#ifeq ($(LGCC),)
+#//#	LGCC=/usr/bin/gcc
+#//#endif
+#//#LCC += $(LGCC)
 
 
 checkprepare: checkprepare-stamp
